Bug 442429 - libvirt man page and virsh help incosistencies for "domain commands"
libvirt man page and virsh help incosistencies for "domain commands"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks: 409971 449772
  Show dependency treegraph
 
Reported: 2008-04-14 14:59 EDT by Adam Stokes
Modified: 2010-10-22 20:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:21:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for the virsh man page (8.44 KB, patch)
2008-04-15 11:26 EDT, Daniel Veillard
no flags Details | Diff

  None (edit)
Description Adam Stokes 2008-04-14 14:59:16 EDT
Description of problem:
For "DOMAIN COMMANDS" of man page, there are the following two
bugs about first parameter,
> (1) domid
  man page   : domain-name
  virsh help : domain name or uuid
  -> We can specify 'name' or 'uuid',
     so 'domain-name-or-uuid' will be better for man page.
> (2) domname
  man page   : domain-id
  virsh help : domain id or uuid
  -> We can specify 'id' or 'uuid',
     so 'domain-id-or-uuid' will be better for man page.

Also, the following eight commands have no documentation
on man page,
 1) start
 2) domblkstat
 3) domifstat
 4) hostname
 5) migrate
 6) schedinfo
 7) dump
 8) uri

Version-Release number of selected component (if applicable):
libvirt 0.4.0

How reproducible:
100%

Steps to Reproduce:
1. man virsh, read domid or domname
2. virsh help, read description for domid or domname
3.
  
Actual results:
> (1) domid
  man page   : domain-name
  virsh help : domain name or uuid
  -> We can specify 'name' or 'uuid',
     so 'domain-name-or-uuid' will be better for man page.
> (2) domname
  man page   : domain-id
  virsh help : domain id or uuid
  -> We can specify 'id' or 'uuid',
     so 'domain-id-or-uuid' will be better for man page.

Expected results:
Consistent documentation between both help and man page

Additional info:
Comment 1 Daniel Veillard 2008-04-15 11:25:08 EDT
Okidoc, I added the missing commands and fixed the couple of things
you reported, it's in the project CVS, I'm attaching the patch, hopefully
we will be able to add this for 5.3,

Daniel
Comment 2 Daniel Veillard 2008-04-15 11:26:00 EDT
Created attachment 302477 [details]
patch for the virsh man page
Comment 3 RHEL Product and Program Management 2008-06-02 16:07:16 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Daniel Veillard 2008-06-18 11:55:00 EDT
libvirt-0.3.3-8.el5 has been built with the fix in dist-5E-qu-candidate,

Daniel
Comment 8 errata-xmlrpc 2009-01-20 16:21:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0142.html

Note You need to log in before you can comment on or make changes to this bug.